LibreOffice LibreOffice 25.8 SDK API Reference

Variables
com::sun::star::sdbc::RowIdLifetime Constant Group Reference

determines RowId life-time values. More...

## Variables
const long | ROWID_UNSUPPORTED = 0
| Indicates that this data source does not support the ROWID type. More...
const long | ROWID_VALID_FOREVER = 1
| Indicates that the lifetime of a RowId from this data source is, effectively, unlimited. More...
const long | ROWID_VALID_OTHER = 2
| Indicates that the lifetime of a RowId from this data source is indeterminate; but not one of ROWID_VALID_TRANSACTION, ROWID_VALID_SESSION, or, ROWID_VALID_FOREVER. More...
const long | ROWID_VALID_SESSION = 3
| Indicates that the lifetime of a RowId from this data source is at least the containing session. More...
const long | ROWID_VALID_TRANSACTION = 4
| Indicates that the lifetime of a RowId from this data source is at least the containing transaction. More...

## Detailed Description

determines RowId life-time values.

Since
  LibreOffice 25.2

## Variable Documentation

## ◆ ROWID_UNSUPPORTED

const long ROWID_UNSUPPORTED = 0

Indicates that this data source does not support the ROWID type.

## ◆ ROWID_VALID_FOREVER

const long ROWID_VALID_FOREVER = 1

Indicates that the lifetime of a RowId from this data source is, effectively, unlimited.

## ◆ ROWID_VALID_OTHER

const long ROWID_VALID_OTHER = 2

Indicates that the lifetime of a RowId from this data source is indeterminate; but not one of ROWID_VALID_TRANSACTION, ROWID_VALID_SESSION, or, ROWID_VALID_FOREVER.

## ◆ ROWID_VALID_SESSION

const long ROWID_VALID_SESSION = 3

Indicates that the lifetime of a RowId from this data source is at least the containing session.

## ◆ ROWID_VALID_TRANSACTION

const long ROWID_VALID_TRANSACTION = 4

Indicates that the lifetime of a RowId from this data source is at least the containing transaction.